<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetToken Method (IEdmSearch6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch6 Interface : GetToken Method (IEdmSearch6)

Visual Basic
C#
C++/CLI

eTok
  Type of token for which to get a value as defined in EdmSearchToken

Gets the value of a search token.

# Syntax

Visual Basic |
--- | ---

    Function GetToken( _
       ByVal eTok As EdmSearchToken _
    ) As System.Object

C# |
--- | ---

    System.object GetToken(
       EdmSearchToken eTok
    )

C++/CLI |
--- | ---

    System.Object^ GetToken(
    &   EdmSearchToken eTok
    )

#### Parameters

eTok
  Type of token for which to get a value as defined in EdmSearchToken

#### Return Value

Value of token

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmSearch6 Interface
IEdmSearch6 Members
IEdmSearch6::SetToken Method ()

# Availability

SOLIDWORKS PDM Professional 2007